<?php
/*
Copyright (C) 2004 - Diego Escalante Urrelo (see AUTHORS / ver AUTHORS)

This file is part of B23cms.

	B23cms is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	B23cms is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with B23cms; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

function _sql_dbx_update ($current, $update, $table, $link) {
	$id = $update[id];
	$where_query = "";
	foreach ($current as $field => $value) {
		$where_query = $where_query . "`$field` = '$value' ";
		}
	foreach ($update_data as $field => $value) {
		dbx_query ($link, "UPDATE `$table` SET `$field`='$value' WHERE $where_query LIMIT 1");
		}
	}
function _sql_dbx_query ($link, $query) {
	$return = dbx_query ($link, $query);
	if ($return == 1) {
		echo "<p class=\"error\">" . $_lang_db_query_error . "</p>";
		}
	else {
		return $return;
		}
	}
function _sql_datetime_2_local ($time, $locale = "es_PE.UTF-8") {
	if (!stristr ($locale, ".UTF-8")) {
		$locale = $locale . ".UTF-8";
		}
	setlocale (LC_TIME, "$locale");
	if (empty ($time)) {
		$time = date ("Y-m-d");
		}
	$return = mktime ( 
						substr ($time, 11, 2), 
						substr ($time, 13, 2), 
						substr ($time, 15, 2),
						substr ($time, 5, 2), 
						substr ($time, 8, 2), 
						substr ($time, 0, 4)
						);
	return htmlentities (strftime ("%A %d, %B %Y %H:%M (%Z)", $return), ENT_NOQUOTES, "UTF-8");
	}
?>