/*
Copyright (C) 2004 - Diego Escalante Urrelo (see AUTHORS / ver AUTHORS)

This file is part of B23cms.

	B23cms is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	B23cms is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with B23cms; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Jul 27, 2004 at 12:47 PM
# Server version: 4.0.18
# PHP Version: 4.3.6
# 
# Database : `cms`
# 

# --------------------------------------------------------

#
# Table structure for table `faq`
#

CREATE TABLE `faq` (
  `id` tinyint(4) unsigned zerofill NOT NULL auto_increment,
  `pregunta` mediumtext NOT NULL,
  `respuesta` mediumtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=8 ;

#
# Dumping data for table `faq`
#

INSERT INTO `faq` VALUES (0007, '¿Qué quiere decir B23? ¿cms es por centímetros?', 'B23 quiere decir... es un secreto. En cuando a lo de centímetros, tómalo como quieras.');
INSERT INTO `faq` VALUES (0004, '¿Por qué B23cms es tan pero tan kewl?', 'Porque sí \\o/.');
INSERT INTO `faq` VALUES (0006, '¿Ganará B23cms el concurso Ada Lovelace?', 'Esperamos, creemos y estamos seguros que sí.');

# --------------------------------------------------------

#
# Table structure for table `noticia`
#

CREATE TABLE `noticia` (
  `id` tinyint(4) unsigned zerofill NOT NULL auto_increment,
  `tema` tinyint(4) unsigned zerofill NOT NULL default '0000',
  `titulo` varchar(50) NOT NULL default '',
  `mensaje` varchar(255) NOT NULL default '',
  `extendido` mediumtext NOT NULL,
  `autor` varchar(15) NOT NULL default '',
  `fecha` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `titulo` (`titulo`),
  UNIQUE KEY `titulo_2` (`titulo`)
) TYPE=MyISAM AUTO_INCREMENT=18 ;

#
# Dumping data for table `noticia`
#

INSERT INTO `noticia` VALUES (0017, 0005, 'Chachis post~', 'Chanchito post~ Weeee~', '\\o/', 'diego', '2004-07-26 19:57:40');

# --------------------------------------------------------

#
# Table structure for table `tema`
#

CREATE TABLE `tema` (
  `id` tinyint(4) unsigned zerofill NOT NULL auto_increment,
  `nombre` varchar(30) NOT NULL default '',
  `descripcion` varchar(255) NOT NULL default '',
  `imagen` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nombre` (`nombre`),
  UNIQUE KEY `id_2` (`id`),
  UNIQUE KEY `nombre_2` (`nombre`),
  KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

#
# Dumping data for table `tema`
#

INSERT INTO `tema` VALUES (0001, 'Andrea Corr', 'Andrea Corr besha', '0001.jpg');
INSERT INTO `tema` VALUES (0002, 'Daemon l0v4', 'Daemon :)', '0002.gif');
INSERT INTO `tema` VALUES (0003, 'animalito', 'animalito raro', '0003.gif');
INSERT INTO `tema` VALUES (0005, 'Chanchitos', 'HEh, los chanchitos', 'oink.jpg');

# --------------------------------------------------------

#
# Table structure for table `usuario`
#

CREATE TABLE `usuario` (
  `id` tinyint(4) unsigned zerofill NOT NULL auto_increment,
  `usuario` varchar(15) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `email` tinytext NOT NULL,
  `nombre` varchar(255) NOT NULL default '',
  `apellido` varchar(255) NOT NULL default '',
  `nacimiento` date NOT NULL default '0000-00-00',
  `sexo` enum('M','F') NOT NULL default 'M',
  `nivel` tinyint(2) unsigned zerofill NOT NULL default '00',
  `lastseen` datetime NOT NULL default '0000-00-00 00:00:00',
  `comentario` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `usuario` (`usuario`,`password`),
  UNIQUE KEY `usuario_2` (`usuario`),
  UNIQUE KEY `usuario_3` (`usuario`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `usuario`
#

INSERT INTO `usuario` VALUES (0001, 'diego', '202cb962ac59075b964b07152d234b70', 'dieguito -arroba- gmail.com', 'Diego', 'Escalante Urrelo', '1987-10-02', 'M', 05, '2004-07-27 12:46:20', 'Heh, soy el w3bm4st4');
INSERT INTO `usuario` VALUES (0003, 'ALFoNs0', '123', 'alfonso005 -arroba- hotmail.com', 'Alfonso', 'Guerra', '1989-07-05', 'M', 01, '2004-07-23 19:00:28', 'Algunas palabras sobre mí ');
